import user from '@/store/modules/user.js' //主项目的user信息及操作
import userCloud from '@/store/modules/userCloud.js' //unistarter云端处理的用户信息
let store;

// #ifndef VUE3
import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
store = new Vuex.Store({
    modules: {
        user,
        userCloud
    },
    strict: true
})
// #endif

// #ifdef VUE3
import {
    createStore
} from 'vuex'
store = createStore({
    modules: {
        user,
        userCloud
    }
})
// #endif

export default store